Summary:	GPSBabel converts GPS data from one format to another	
Name:		gpsbabel
Version:	1.4.4
Release:	%mkrel 2
License:	GPLv2+
Group:		Geography
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:       %{name}.desktop
Source2:       %{name}.png
# Use system shapelib - not suitable for upstream in this form.
Patch11:       gpsbabel-1.4.3-use-system-shapelib.patch
# Remove network access requirement for XML doc builds and HTML doc reading
Patch21:       gpsbabel-1.4.2-xmldoc.patch
# Pickup gmapbase.html from /usr/share/gpsbabel
Patch22:       gpsbabel-1.4.3-gmapbase.patch
# No automatic phone home by default (RHBZ 668865)
Patch23:       gpsbabel-1.4.3-nosolicitation.patch
# Fix invalid gzFile pointer use
Patch24:       gpsbabel-1.4.3-gzip.diff
URL:		http://www.gpsbabel.org
BuildRequires:	expat-devel libusb-devel zlib-devel
BuildRequires:	shapelib-devel
BuildRequires:	qt4-devel
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(QtWebKit)

%description
GPSBabel converts waypoints, tracks, and routes from one format to another, 
whether that format is a common mapping format like Delorme, Streets and 
Trips, or even a serial upload or download to a GPS unit such as those from 
Garmin and Magellan. By flatting the Tower of Babel that the authors of 
various programs for manipulating GPS data have imposed upon us, it returns 
to us the ability to freely move our own waypoint data between the programs 
and hardware we choose to use.

%package gui
Summary:        Qt GUI interface for GPSBabel
Group:          Geography
License:        GPLv2+
Requires:       %{name} = %{version}-%{release}

%description gui
Qt GUI interface for GPSBabel

%prep
%setup -q
# Use system shapelib instead of bundled partial shapelib
rm -rf shapelib
%patch11 -p1
# Remove network access requirement for XML doc builds and HTML doc reading
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1

# Get rid of bundled zlib
# configure --with-zlib=system is not enough,
# building still accesses bundled zlib headers
rm -rf zlib/*
touch zlib/empty.in
sed -i -e 's, zlib/[^ ]*,,g' -e '/^zlib*/d' -e 's, jeeps/../zlib/[^ ]*,,g' Makefile.in

# Avoid calling autoconf from Makefile
touch -r configure.in configure Makefile.in

# fix bad execute perms
find . -type f \( -name '*.c' -or -name '*.h' -or -name '*.cpp' \) -print0 |
     xargs -0 chmod a-x

%build
%configure2_5x --with-zlib=system
%make
pushd gui
%qmake_qt4
lrelease *.ts
%make
popd

%install
install -d %buildroot%{_bindir}
%makeinstall_std

%makeinstall_std -C gui
install -m 0755 -d                            %{buildroot}%{_bindir}/
install -m 0755 -p gui/objects/gpsbabelfe-bin %{buildroot}%{_bindir}/
install -m 0755 -d                            %{buildroot}%{translationdir}/
install -m 0644 -p gui/gpsbabel*_*.qm         %{buildroot}%{translationdir}/

desktop-file-install \
        --dir %{buildroot}/%{_datadir}/applications \
        %{SOURCE1}

install -m 0755 -d            %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/

%find_lang %{name} 

%files
%doc README* COPYING
%{_bindir}/%{name}

%files gui -f %{name}.lang
%doc gui/{AUTHORS,COPYING.txt,README*,TODO} gui/help/gpsbabel.html
%{_bindir}/gpsbabelfe-bin
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/256x256/apps/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.4.4-2.mga3
+ Revision: 352540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 fwang <fwang> 1.4.4-1.mga3
+ Revision: 308954
- update rpm group
- update file list
- more system shaplib patch
- br shapelib
- new version 1.4.4
- sycn with fedora patches

* Sun Dec 18 2011 fwang <fwang> 1.4.2-4.mga2
+ Revision: 183652
- br dekstop-file-utils
- br qtwebkit
- br qtwebkit

* Sun Apr 10 2011 dmorgan <dmorgan> 1.4.2-2.mga1
+ Revision: 82998
- Fix groups (#682)

* Fri Apr 01 2011 tv <tv> 1.4.2-1.mga1
+ Revision: 79586
- new version
- drop patch 1 (merged upstream)
- add GUI sub package

* Fri Apr 01 2011 tv <tv> 1.3.6-3.mga1
+ Revision: 79553
- imported package gpsbabel

